Package it.ernytech.tdlib

## Class TdApi.FinishFileGeneration

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.FinishFileGeneration

Enclosing class:
  TdApi

    public static class TdApi.FinishFileGeneration
    extends TdApi.Function

Finishes the file generation.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.Error` `error` If set, means that file generation has failed and should be terminated.
`long` `generationId` The identifier of the generation process.

### Constructor Summary

Constructors
`FinishFileGeneration()` Default constructor.
`FinishFileGeneration​(long generationId, TdApi.Error error)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### generationId

    public long generationId

The identifier of the generation process.

#### error

    public TdApi.Error error

If set, means that file generation has failed and should be terminated.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### FinishFileGeneration

    public FinishFileGeneration()

Default constructor.

#### FinishFileGeneration

    public FinishFileGeneration​(long generationId,
                                TdApi.Error error)

Constructor for initialization of all fields.

Parameters:
  `generationId` - The identifier of the generation process.
  `error` - If set, means that file generation has failed and should be terminated.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR